/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operate_OperatorSurfaceI_h__
#define __operate_OperatorSurfaceI_h__

namespace fe
{

/**************************************************************************//**
    @brief General Surface Manipulation

	@ingroup operate
*//***************************************************************************/
class FE_DL_EXPORT OperatorSurfaceI:
	virtual public HandlerI, virtual public BindI
{
	public:

virtual	BWORD				saveState(String& rBuffer)						=0;
virtual	BWORD				loadState(const String& rBuffer)				=0;
};

} // namespace

#endif /* __operate_OperatorSurfaceI_h__ */
